=== include/qglv/CMakeLists.txt ===
##############################################################################
# Subdirectories
##############################################################################

add_subdirectory(converters)
add_subdirectory(objects)
add_subdirectory(primitives)
add_subdirectory(widgets)

###############################################################################
# Files
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)

install(FILES ${HEADERS} DESTINATION include/qglv)
