=== debian/control ===
Source: ros-indigo-qglv-extras
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libqglviewer-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-ecl-build, ros-indigo-qglv-opengl, ros-indigo-sophus
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-qglv-extras
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libqglviewer2, ros-indigo-ecl-build, ros-indigo-qglv-opengl, ros-indigo-sophus
Description: Methods and objects for working with or on top of the qglveiwer framework.
